View Issue Details

IDProjectCategoryView StatusLast Update
0003831ScribusPDFpublic2016-04-13 03:19
Reportermhanski Assigned To 
PrioritynormalSeverityminorReproducibilityalways
Status acknowledgedResolutionopen 
Product Version 
Target VersionFixed in Version 
Summary0003831: Metabug: PDF Forms
DescriptionIssues with respect to PDF Forms.

==PLEASE DON'T ADD ANY COMMENTS TO THIS METABUG==

If you wish to be notified about issues related to PDF Forms, please click on the "Monitor Issue" button
Additional InformationSee the whole list of metabugs: http://wiki.scribus.net/index.php/Metabugs
TagsNo tags attached.
Patch

Relationships

related to 0000238 assignedcbradney New CL option: scribus --to-pdf <scribus-file> <output.pdf> 
related to 0000273 closedfschmid More PDF presentation effects wanted 
parent of 0003180 closedfschmid checkboxes are badly exported to PDF 
parent of 0003282 closedfschmid Fonts don't work with text fields of forms. 
parent of 0000866 closedfschmid Implement check box radio behaviour in PDF forms 
parent of 0000865 acknowledged Allow changing tab order of pdf form fields 
parent of 0002892 closedfschmid PDF form created by Scribus cannot be processed by ghostscript 
parent of 0004273 closed PDF Forms: Manual tracking in text fields isn't respected. 
parent of 0004391 closedfschmid acrobat 5 responds with javascript errors upon opening file 
parent of 0002976 closedfschmid Can't change number-field format in PDF Web Form 
parent of 0004218 closedfschmid Period '.' should not allowed in AcroForm field names? 
parent of 0004620 closedfschmid Undeclared font in default appearance (DA) of PDF 
parent of 0005273 closedfschmid Cannot calculate pdf fields correctly. 
parent of 0005254 closedfschmid Cannot create usable PDF forms 
parent of 0005385 closedfschmid Bug creating the /DA attribute of PDF forms 
parent of 0005397 closedfschmid data disappears in form field when tabbed to next field 
parent of 0005408 closedfschmid Generated PDF-form doesn't show/accept äöüÄÖÜ 
parent of 0005421 acknowledged PDF Forms: New option "Commit selected values immediately" for Combo Boxes and List Boxes needed 
parent of 0005434 closed field from exported pdf can not be filled 
parent of 0005435 closedjghali Generated PDF-Forms do not show background color of fields in some PDF-readers 
parent of 0005442 closedfschmid PDF forms export broken: Scribus 1.3.3.9cvs generates forms without fields, checkboxes etc. 
parent of 0005444 closedjghali PDF forms: broken kerning in text fields, list boxes, buttons, etc. 
parent of 0006192 closed PDF-export of page with form-fields does not work 
parent of 0006304 closedfschmid problem with numeric pdf form fields 
parent of 0006608 closedjghali Javascript for PDF forms exports only ASCII characters. 
parent of 0006817 closedfschmid PDF field with number format becomes unresponsive when PDF is generated from a loaded document 
parent of 0006823 closedjghali Newline issue in PDF fields 
parent of 0007759 new [patch] New PDF form field: Digital signature 
parent of 0007778 new Feature request: Ability to set the calculation order for PDF fields 
parent of 0007979 new PDF-Forms: Enable baseline alignment and spacing of in-line form controls 
parent of 0008863 assignedfschmid Form features to add 
parent of 0007322 assignedfschmid Checkbox "export value" option 
parent of 0008928 closedfschmid brackets are over escaped in pdf forms 
parent of 0012887 new PDF Form multi-line text fields error 
parent of 0009159 new PDF form fields don't import correctly 
parent of 0010079 new Form fields show strange characters when read by Adobe Reader X 
parent of 0009806 new Chosen font is not used for text fields (cannot enter text in those fields on exported PDF) 
parent of 0005282 new Support PDF features required for online reading and interaction, including accessibility tagging 
parent of 0008919 new PDF objects on master page aren't generated as PDF form fields and their PDF properties cannot be set 
parent of 0013148 new Convert scanned form in to fillable PDF form  
related to 0005422 closedfschmid PDF form combo box: Preflight Verifier wrongly detects combo box options as "text overflow" 
Not all the children of this issue are yet resolved or closed.

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2006-05-17 17:43 mhanski New Issue
2006-05-17 17:45 mhanski Relationship added parent of 0003180
2006-05-17 17:46 mhanski Relationship added parent of 0003282
2006-05-17 17:48 mhanski Relationship added parent of 0000866
2006-05-17 17:50 mhanski Relationship added parent of 0000865
2006-05-17 17:51 mhanski Relationship added related to 0000238
2006-05-17 17:57 mhanski Relationship added parent of 0002892
2006-05-17 18:01 mhanski Relationship added related to 0000273
2006-05-17 19:59 christoph_s Status new => acknowledged
2006-07-02 22:18 mhanski Additional Information Updated
2006-09-20 23:28 mhanski Relationship added parent of 0004273
2006-10-11 09:11 mhanski Relationship added parent of 0004391
2006-10-22 21:22 mhanski Relationship added parent of 0002976
2006-11-05 13:00 mhanski Relationship added parent of 0004218
2006-11-28 13:25 mhanski Relationship added parent of 0004620
2007-01-30 21:27 mhanski Relationship added parent of 0005273
2007-02-04 14:52 mhanski Relationship added parent of 0005230
2007-02-04 14:52 mhanski Relationship deleted parent of 0005230
2007-02-04 14:53 mhanski Relationship added parent of 0005254
2007-02-24 08:46 mhanski Relationship added parent of 0005385
2007-02-27 09:53 mhanski Relationship added parent of 0005397
2007-03-02 20:41 mhanski Relationship added parent of 0005408
2007-03-04 18:50 mhanski Relationship added parent of 0005421
2007-03-04 19:09 mhanski Relationship added related to 0005422
2007-03-08 12:31 mhanski Relationship added parent of 0005434
2007-03-08 14:08 mhanski Relationship added parent of 0005435
2007-03-12 14:18 mhanski Relationship added parent of 0005442
2007-03-12 18:51 mhanski Relationship added parent of 0005444
2007-09-04 18:31 mhanski Relationship added parent of 0006192
2007-10-01 19:40 mhanski Relationship added parent of 0006304
2007-12-28 17:02 mhanski Relationship added parent of 0006608
2008-02-27 18:56 mhanski Relationship added parent of 0006817
2008-02-28 22:15 mhanski Relationship added parent of 0006823
2009-02-02 21:42 mhanski Relationship added parent of 0007759
2009-02-07 08:53 mhanski Relationship added parent of 0007778
2009-04-24 16:08 mhanski Relationship added parent of 0007979
2010-03-16 09:51 mhanski Relationship added parent of 0008863
2010-03-16 09:56 mhanski Relationship added parent of 0007322
2010-03-16 10:02 mhanski Relationship added parent of 0008928
2016-03-08 05:54 Kunda Relationship added parent of 0012887
2016-03-08 05:54 Kunda Relationship added parent of 0009159
2016-03-08 05:54 Kunda Relationship added parent of 0010079
2016-03-08 05:56 Kunda Relationship added parent of 0009806
2016-03-08 05:56 Kunda Relationship added parent of 0005282
2016-03-08 05:58 Kunda Relationship added parent of 0008919
2016-04-13 03:19 Kunda Relationship added parent of 0013148